# Uses of Interface
org.xml.sax.ContentHandler

Packages that use ContentHandler
Package
Description
javax.xml.transform.sax
Provides SAX specific transformation classes.
javax.xml.validation
Provides an API for validation of XML documents.
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.ext
Provides interfaces to SAX2 facilities that conformant SAX drivers won't necessarily support.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

- ## Uses of ContentHandler in javax.xml.transform.sax

  Subinterfaces of ContentHandler in javax.xml.transform.sax
  Modifier and Type
  Interface
  Description
  `interface`
  `TemplatesHandler`
  A SAX ContentHandler that may be used to process SAX parse events (parsing transformation instructions) into a Templates object.
  `interface`
  `TransformerHandler`
  A TransformerHandler listens for SAX ContentHandler parse events and transforms them to a Result.
  Methods in javax.xml.transform.sax that return ContentHandler
  Modifier and Type
  Method
  Description
  `ContentHandler`
  SAXResult.`getHandler()`
  Get the `ContentHandler` that is the Result.
  Methods in javax.xml.transform.sax with parameters of type ContentHandler
  Modifier and Type
  Method
  Description
  `void`
  SAXResult.`setHandler(ContentHandler handler)`
  Set the target to be a SAX2 `ContentHandler`.
  Constructors in javax.xml.transform.sax with parameters of type ContentHandler
  Modifier
  Constructor
  Description
  ``
  `SAXResult(ContentHandler handler)`
  Create a SAXResult that targets a SAX2 `ContentHandler`.

- ## Uses of ContentHandler in javax.xml.validation

  Classes in javax.xml.validation that implement ContentHandler
  Modifier and Type
  Class
  Description
  `class`
  `ValidatorHandler`
  Streaming validator that works on SAX stream.
  Methods in javax.xml.validation that return ContentHandler
  Modifier and Type
  Method
  Description
  `abstract ContentHandler`
  ValidatorHandler.`getContentHandler()`
  Gets the `ContentHandler` which receives the augmented validation result.
  Methods in javax.xml.validation with parameters of type ContentHandler
  Modifier and Type
  Method
  Description
  `abstract void`
  ValidatorHandler.`setContentHandler(ContentHandler receiver)`
  Sets the `ContentHandler` which receives the augmented validation result.

- ## Uses of ContentHandler in org.xml.sax

  Methods in org.xml.sax that return ContentHandler
  Modifier and Type
  Method
  Description
  `ContentHandler`
  XMLReader.`getContentHandler()`
  Return the current content handler.
  Methods in org.xml.sax with parameters of type ContentHandler
  Modifier and Type
  Method
  Description
  `void`
  XMLReader.`setContentHandler(ContentHandler handler)`
  Allow an application to register a content event handler.

- ## Uses of ContentHandler in org.xml.sax.ext

  Classes in org.xml.sax.ext that implement ContentHandler
  Modifier and Type
  Class
  Description
  `class`
  `DefaultHandler2`
  This class extends the SAX2 base handler class to support the SAX2 `LexicalHandler`, `DeclHandler`, and `EntityResolver2` extensions.

- ## Uses of ContentHandler in org.xml.sax.helpers

  Classes in org.xml.sax.helpers that implement ContentHandler
  Modifier and Type
  Class
  Description
  `class`
  `DefaultHandler`
  Default base class for SAX2 event handlers.
  `class`
  `XMLFilterImpl`
  Base class for deriving an XML filter.
  `class`
  `XMLReaderAdapter`
  Adapt a SAX2 XMLReader as a SAX1 Parser.
  Methods in org.xml.sax.helpers that return ContentHandler
  Modifier and Type
  Method
  Description
  `ContentHandler`
  ParserAdapter.`getContentHandler()`
  Return the current content handler.
  `ContentHandler`
  XMLFilterImpl.`getContentHandler()`
  Get the content event handler.
  Methods in org.xml.sax.helpers with parameters of type ContentHandler
  Modifier and Type
  Method
  Description
  `void`
  ParserAdapter.`setContentHandler(ContentHandler handler)`
  Set the content handler.
  `void`
  XMLFilterImpl.`setContentHandler(ContentHandler handler)`
  Set the content event handler.